Results 1 to 6 of 6

Thread: KDE update error

  1. #1
    Senior Member
    Join Date
    May 2010
    Posts
    198

    Default KDE update error

    Happpens wth both apt-get install KDE-core and apt-get install kde
    using BT4-R1

    apt-get install kde

    I get the following error (both HD install and live DVD)
    Code:
    ...
    Processing triggers for man-db ...
    Errors were encountered while processing:
     /var/cache/apt/archives/kdebase-workspace-bin_4%3a4.1.4-0ubuntu1~intrepid3.1_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Heres what I did to fix it
    Code:
    cp -r /var/lib/dpkg/info /var/lib/dpkg/infobackup
    rm -rf /var/lib/dpkg/info
    mkdir /var/lib/dpkg/info
    apt-get -f install
    cp /var/lib/dpkg/info/* /var/lib/dpkg/infobackup
    rm -rf /var/lib/dpkg/info
    cp /var/lib/dpkg/infobackup /var/lib/dpkg/info
    rm -rf /var/lib/dpkg/infobackup
    If you need any other info let me know.
    Last edited by Scamentology; 11-15-2010 at 05:48 AM.
    "Never do anything against conscience -- even if the state demands it."
    -- Albert Einstein

  2. #2
    My life is this forum Snayler's Avatar
    Join Date
    Jan 2010
    Posts
    1,418

    Default Re: KDE update error

    This is not a bug, the developers actually left kde outdated on purpose. BTW, updating KDE will break things such as the backtrack-menu, among other stuff. And it's not supported here on the forums, so any errors you may find after this, you are on your own.
    Last edited by Snayler; 11-15-2010 at 06:47 AM.

  3. #3
    Senior Member
    Join Date
    May 2010
    Posts
    198

    Default Re: KDE update error

    Cool. Disregard. Ive just been playing around with the live dvd doing different stuff. and seeing what it does. Thought it might be helpful.

    It hasn't broken anything yet. Ill probably find stuff broken now that you said that. LOL
    Thanks

    Quote Originally Posted by Snayler View Post
    This is not a bug, the developers actually left kde outdated on purpose. BTW, updating KDE will break things such as the backtrack-menu, among other stuff. And it's not supported here on the forums, so any errors you may find after this, you are on your own.
    Last edited by Scamentology; 11-15-2010 at 07:53 AM.
    "Never do anything against conscience -- even if the state demands it."
    -- Albert Einstein

  4. #4
    My life is this forum Snayler's Avatar
    Join Date
    Jan 2010
    Posts
    1,418

    Default Re: KDE update error

    Quote Originally Posted by Scamentology View Post
    Cool. Disregard. Ive just been playing around with the live dvd doing different stuff. and seeing what it does. Thought it might be helpful.
    Sorry, didn't meant to show disregard, but it's the harsh truth. The "why not using kde4 instead of kde3" topic has popped up multiple times, and it has been discussed extensively. The devs want to keep BT fast, and since there is pyrit, I think it's safe to assume no one wants to waste GPU processing power on "eye candy". For me these are the two main reasons I think backtrack should keep using kde3.

    Either way, I like seeing someone putting some effort into this, so maybe you could find a way to update kde without breaking anything and post a tutorial here for those interested.
    Last edited by Snayler; 11-15-2010 at 09:01 AM.

  5. #5
    Administrator sickness's Avatar
    Join Date
    Jan 2010
    Location
    Behind the screen.
    Posts
    2,921

    Default Re: KDE update error

    Not a bug, moved to the proper section.

    Why do you need KDE 4 ? Backtrack is a security distribution, it is made to be fast not to look cool or be used as a twitter/facebook machine gun.
    If you want the latest KDE use a more friendly distro.
    Back|track giving machine guns to monkeys since 2007 !

    Do not read the Wiki, most your questions will not be answered there !
    Do not take a look at the: Forum Rules !

  6. #6
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: KDE update error

    Topic not supported. Thread closed.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

Similar Threads

  1. framework-3.4.2-dev, got error when trying update
    By kataibrengsek in forum Beginners Forum
    Replies: 2
    Last Post: 09-23-2010, 01:36 PM
  2. apt update error
    By Mr-Protocol in forum Beginners Forum
    Replies: 11
    Last Post: 07-14-2010, 07:48 AM
  3. update error
    By munitech4u in forum OLD BackTrack 4 General Support
    Replies: 3
    Last Post: 10-18-2009, 04:06 PM
  4. update error
    By h4x0r in forum OLD Newbie Area
    Replies: 3
    Last Post: 10-09-2009, 04:22 PM
  5. MSF Update Error
    By *YAPP* in forum OLD BackTrack 4 Bugs and Fixes
    Replies: 8
    Last Post: 07-10-2009, 03:14 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •